#include "RequestCarte.h"
#include "ElectricCircuit.h"
#include "ElectricTerminal.h"


RequestCarte::RequestCarte()
{
}


RequestCarte::~RequestCarte()
{
}

void RequestCarte::UtilConstructIndexLieuFromStationToIgnore(std::unordered_set<int>& out_Result) const
{
	for each (auto var in this->mOptionnal_StationToIgnore)
	{
		out_Result.insert(var->GetIndexLieu());
	}
}

ElectricTerminal * RequestCarte::IndexLieuToTerminal(int inIdIndexLieu) const
{
	return mRefElectricCircuit->GetByIndexLieu(inIdIndexLieu);
}
