#pragma once

#include "Action.h"
#include "StructureCarte.h"

class ElectricTerminal;
class ElectricReservation;

class ActionTerminal :
	public Action
{
	ElectricTerminal *const mTerminal = nullptr;
	ElectricReservation* mRefReservation = nullptr;
public:
	ActionTerminal(ElectricTerminal * inTerminal,ElectricReservation* inRefReservation = nullptr):mTerminal(inTerminal),mRefReservation(inRefReservation){}
	virtual ~ActionTerminal();

	virtual TAction getType() const { return eTerminal; }
	ElectricTerminal * const getTerminal() const { return mTerminal; }
	ElectricReservation * const getCommitedReservation() const { return mRefReservation; }
	void setCommitedReservation(ElectricReservation* inRefReservation) { mRefReservation = inRefReservation; }

	virtual Action* clone() const;
};

