#pragma once
#include "Action.h"

class ElectricTerminal;

class ActionWait :
	public Action
{
private:

	ElectricTerminal * const mTerminal = nullptr;
public:
	ActionWait(ElectricTerminal * const inTerminal) :mTerminal(inTerminal) {}
	virtual ~ActionWait();

	virtual TAction getType() const { return eWait; }
	ElectricTerminal * const getTerminal() const { return mTerminal; }

	virtual Action* clone() const;
};

