#pragma once

#include <string>

class SystemSolution;
class VehicleSolution;

class IObjectiveFunction
{
public:
	IObjectiveFunction(){}
	~IObjectiveFunction(){}

	virtual float ComputeObjectiveFunction(SystemSolution const * const inSystemSolution);
	virtual float ComputeObjectiveFunction(VehicleSolution const * const inVehicleSolution) = 0;

	virtual std::string Description() const { return  "None given"; }
};