#pragma once

#include <istream>

class ScenarioData;
class Vehicle;

class IScenarioLoader
{
public:
	IScenarioLoader(){}
	virtual void Load(ScenarioData* outRefData) = 0;
	virtual void LoadNextVehicle(std::istream& inDataVehicle, ScenarioData* outRefData) = 0;
	virtual void LoadNextNamelessVehicle(std::istream& inDataVehicle, ScenarioData* outRefData) = 0;
	virtual ~IScenarioLoader(){}
};