#pragma once
#include <set>
#include <map>
using namespace std;

class PathCache
{
private:
	//Map le depart et la destination des lieux
	map<int,map<int,double>> mIndexLieuDistanceCache;

public:
	PathCache();
	virtual ~PathCache();

	void addPath(int depart, int destination, double distance);
	double getPath(int depart, int destination, double distance);
	friend ostream & operator<< (ostream &out, const PathCache &p);
	friend istream & operator>> (istream &in, PathCache &p);
};

