#pragma once
#include <time.h>
#include <string>
#include <iostream>

class PerformanceAnalysis
{
public:

private :
	struct Result {
		double time = 0.0f;
		float cost = 0.0f;
		int nbPause = 0;
	};

	Result result;
	clock_t expStart;
public:
	void StartExperiment();
	void Reset();
	void StopExperiment(float result);
	void PauseExperiment(float result);
	std::string toString() const;
	static std::string toStringHeader();
	Result GetResult() const
	{
		return result;
	}
	PerformanceAnalysis();
	~PerformanceAnalysis();
};


std::ostream& operator<<(std::ostream& os, const PerformanceAnalysis& dt);


