#pragma once

#include <vector>
#include <string>
#include <math.h>

class ElectricCircuit;
class Vehicle;
class SystemSolution;

class ScenarioData
{
public:
	ScenarioData();
	~ScenarioData();

	std::string toString();
	virtual std::string toStringInteractive();

	//TODO: EVALUATE  a piority queue? If necessary... does not look like it for now
	std::vector<Vehicle*> mVecVehicle;
	ElectricCircuit* mElectricCircuit = nullptr;

	//Optionnal solution should match the vehicle list.
	SystemSolution* mObjOptionnalPartialSolution = nullptr;
	float mfOptTimeHorizon = INFINITY;
};

