#pragma once


#include "IVehicleSolver.h"

class Carte;
class ElectricCircuit;
class IObjectiveFunction;

class VehicleSolverWait :
	public IVehicleSolver
{
private:

	Carte const *const mRefCarte = nullptr;
	IObjectiveFunction *const mRefObjectiveFunction = nullptr;

public:
	VehicleSolverWait(Carte const *const inCarte, IObjectiveFunction* inObjectiveFunction,ElectricCircuit* inElectricCircuit);
	virtual ~VehicleSolverWait();

	virtual void SolveFor(Vehicle* inVehicleToSolve, VehicleSolution* out_RefSolution);

};


